clang-tools 8.0.0

Classes | Namespaces | Functions
Quality.h File Reference
`#include "ExpectedTypes.h"`
`#include "FileDistance.h"`
`#include "clang/Sema/CodeCompleteConsumer.h"`
`#include "llvm/ADT/ArrayRef.h"`
`#include "llvm/ADT/StringRef.h"`
`#include <algorithm>`
`#include <functional>`
`#include <vector>`
Include dependency graph for Quality.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
struct | clang::clangd::SymbolQualitySignals
| Attributes of a symbol that affect how much we like it. More...
struct | clang::clangd::SymbolRelevanceSignals
| Attributes of a symbol-query pair that affect how much we like it. More...
class | clang::clangd::TopN< T, Compare >
| TopN<T> is a lossy container that preserves only the "best" N elements. More...
struct | clang::clangd::SignatureQualitySignals

## Namespaces
| llvm
| Some operations such as code completion produce a set of candidates.
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::clangd

## Functions
llvm::raw_ostream & | clang::clangd::operator<< (llvm::raw_ostream &OS, const SymbolQualitySignals &S)
llvm::raw_ostream & | clang::clangd::operator<< (llvm::raw_ostream &OS, const SymbolRelevanceSignals &S)
float | clang::clangd::evaluateSymbolAndRelevance (float SymbolQuality, float SymbolRelevance)
| Combine symbol quality and relevance into a single score. More...
std::string | clang::clangd::sortText (float Score, llvm::StringRef Tiebreak="")
| Returns a string that sorts in the same order as (-Score, Tiebreak), for LSP. More...
llvm::raw_ostream & | clang::clangd::operator<< (llvm::raw_ostream &OS, const SignatureQualitySignals &S)